<-- 96d7a10e9e548bff --> Troubleshooting — IT is good

🧰 Исправление ошибки xmlrpc.client parse error. not well formed

🧰 Исправление ошибки xmlrpc.client parse error. not well formed
У нас есть исправление WordPress для ошибки парсинга, которое можно получить при попытке подключиться к вашему экземпляру WordPress. Ошибка вызвана тем, что Apache2 не может проанализировать отправляемый вами XML. Скорее всего, это можно исправить, просто установив следующую библиотеку для вашего экземпляра Apache2: sudo apt-get install php-xml После установки php-xml обязательно перезапустите apache2. sudo service apache2 restart  

🛠️ Как исправить “_get_comp_words_by_ref: command not found”

🛠️  Как исправить “_get_comp_words_by_ref: command not found”
Если вы продолжаете получать сообщение об ошибке «_get_comp_words_by_ref: command not found» при попытке завершения bash для пользовательской команды со скриптом завершения, это означает, что пакет bash-complete не установлен. Функция завершения вкладки используется для автоматического завершения команд или предложения параметров при нажатии клавиши Tab. Исправление ошибки  «get_comp_words_by_ref: command not found» заключается в установке пакета...

🛠️ Как исправить ошибку do-release-upgrade: command not found Error на Ubuntu

🛠️ Как исправить ошибку do-release-upgrade: command not found Error на  Ubuntu
Вышла версия Ubuntu 20.04 LTS, и, возможно, все сейчас обновляют свою старую версию Ubuntu до последней версии Ubuntu 20.04 LTS. Я уже обновил свою с Ubuntu 18.04 LTS на Ubuntu 20.04 LTS. Сегодня я решил обновить свой сервер Ubuntu до 20.04 LTS. Когда я пытался обновить сервер, я получил ошибку - – sudo do-release-upgrade: command not found. Если вы столкнулись с той же ошибкой, вот быстрое решение для исправления этой ошибки. Исправле...

🛠️ Как исправить “Failed to set locale, defaulting to C.UTF-8” на CentOS 8

🛠️ Как исправить “Failed to set locale, defaulting to C.UTF-8” на CentOS 8
Вы когда-нибудь сталкивались с предупреждением / ошибкой «Failed to set locale, defaulting to C.UTF-8» в CentOS 8 или RHEL 8? Если да, то в этой статье описывается, как исправить эту ошибку. Обратите внимание, что эта решение проблемы также должно работать на любых операционных системах, основанных на RHEL 8. locale - это набор основных системных параметров, которые определяют такие вещи, как язык пользователя, регион и любые особые предпочтения,

☸️ Helm установил Pod в режиме pending

☸️ Helm установил Pod в режиме pending
Когда вы выполните kubectl get events, вы увидите следующую ошибку: no persistent volumes available for this claim and no storage class is set or PersistentVolumeClaim is not bound Эта ошибка обычно возникает в kubernetes, установленном с помощью kubeadm. Вам нужно будет создать постоянный том со следующим файлом yaml: kind: PersistentVolume apiVersion: v1 metadata:   name: redis-data   labels:     type: local spec:   storageClassName

🧰 Исправление ошибки “Error: pngquant failed to build, make sure that libpng-dev is installed”

🧰 Исправление ошибки “Error: pngquant failed to build, make sure that libpng-dev is installed”
Я продолжал получать сообщение об ошибке Error: pngquant failed to build, make sure that libpng-dev is installed” при попытке создать приложение Nodejs. После нескольких минут устранения неполадок я понял, что это было вызвано отсутствием зависимых приложений, необходимых во время сборки. > node lib/install.js ⚠ The `/home/ubuntu/koel/node_modules/pngquant-bin/vendor/pngquant` binary doesn't seem to work correctly ⚠ pngquant pre-build test

🛠️ CentOS 8 VM не работает в VirtualBox 5.2 на Ubuntu 18.04

🛠️ CentOS 8 VM не работает в VirtualBox 5.2 на Ubuntu 18.04
На днях я попытался установить CentOS 8 в VirtualBox на Ubuntu 18.04 LTS. На моей Ubuntu установлена версия Virtualbox 5.2, и, к сожалению, CentOS 8 VM не работает в VirtualBox 5.2. Когда я пытаюсь установить CentOS 8, установка заканчивается на середине странными символами ASCII, как показано ниже: Все, что я могу сделать, это сбросить или принудительно завершить работу гостевой ОС CentOS 8. Я удалил виртуальную машину CentOS 8, во...

🛠️ Исправляем ошибку gzip: stdin: not in gzip format

🛠️ Исправляем ошибку gzip: stdin: not in gzip format
Проблема я попытался разархивировать файл MyFile.tar.gz, который по имени был похож на сжатый файл. Но во время распаковки я обнаружил ошибку «gzip stdin not in gzip format», которая была следующей: $tar xvzf MyFile.tar.gz gzip: stdin: not in gzip format tar: Child returned status 1 tar: Error exit delayed from previous errors Ошибка указывает, что файл не в формате gZipped. Тогда в каком формате этот файл? Чтобы выяснить это, я запус

🐧 Как исправить ошибку «repository is not valid yet»

🐧 Как исправить ошибку «repository is not valid yet»
Что значит "Release file for [...] is not valid yet (invalid for another [...]). Updates for this repository will not be applied."? Сообщение об ошибке, указывающее, что файл релиза еще не действителен. $ sudo apt update Get:1 http://security.debian.org/debian-security buster/updates InRelease [39.1 kB] Get:2 http://deb.debian.org/debian buster InRelease [122 kB] Reading package lists... Done E: Release f

🐧 Исправляем ошибку Failed to Download Metadata for Repo

🐧  Исправляем ошибку Failed to Download Metadata for Repo
Проблема Все команды dnf завершаются с ошибкой: # dnf repolist Oracle Linux 8 BaseOS Latest (x86_64) 0.0 B/s | 0 B 00:00 Failed to download metadata for repo 'ol8_baseos_latest' Error: Failed to download metadata for repo 'ol8_baseos_latest dnf was not able to refresh the cache as it could not reach the yum server itself, Hence pointing to cache being expired. # yum clean metadata Cache was expired <<<<<<<<<<<